/*
 * ll_testbed.cpp
 *
 *  Created on: Oct 28, 2019
 *      Author: abody
 */
#include "stm32f4xx_hal.h"
#include "stm32f4xx_ll_gpio.h"
#include <main.h>

#include <f4ll/console_handler.h>

#include <stdlib.h>
#include <string.h>

#include <app.h>

void app_main()
{
    f4ll::console_handler &con = f4ll::console_handler::init(USART2, DMA1, LL_DMA_STREAM_5, LL_DMA_STREAM_6);
    while (true) {
        con.print("Hello woooooooooooooooooooooooooooooooorld!\n");
        HAL_Delay(500);
        LL_GPIO_TogglePin(LD2_GPIO_Port, LD2_Pin);
    }
}
